/***************************************************************************
 *   Copyright (C) 2003 by Antonio Fasolato                                *
 *   Antonio.Fasolato@poste.it                                             *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#include "configuration.h"

#include <kapplication.h>
#include <kconfig.h>

Configuration::Configuration()
{
	read();
}


void Configuration::read() {
	KConfig *config=kapp->config();

	config->setGroup("Paths");
	potrace=config->readEntry("potrace","/usr/local/bin/potrace");
	preview=config->readBoolEntry("preview",true);
	if(preview)
		viewer=config->readEntry("viewer","/usr/bin/display -immutable");
}


void Configuration::write() const{
	KConfig *config=kapp->config();

	config->setGroup("Paths");
	config->writeEntry("potrace",potrace);
	config->writeEntry("preview",preview);
	if(preview)
		config->writeEntry("viewer",viewer);
}

Configuration& Conf(){
	static Configuration c;
	return c;
}

void Configuration::defaultValues(){
	KConfig *config=kapp->config();

	config->setGroup("Paths");
	config->writeEntry("potrace","/usr/local/bin/potrace");
	potrace="/usr/local/bin/potrace";
	config->writeEntry("preview",true);
	preview=true;
	config->writeEntry("viewer","/usr/bin/display -immutable");
	viewer="/usr/bin/display -immutable";
}
