/*
 * Copyright (C) 2003 Antonio Fasolato <Antonio.Fasolato@poste.it>
 */

#include "potracegui.h"
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>

static const char *description =
    I18N_NOOP("A KDE KPart Application");

static const char *version = "0.1";

static KCmdLineOptions options[] =
{
    { "+[URL]", I18N_NOOP( "Document to open." ), 0 },
    { 0, 0, 0 }
};

int main(int argc, char **argv)
{
    KAboutData about("potracegui", I18N_NOOP("PotraceGui"), version, description,
                     KAboutData::License_GPL, "(C) 2003 Antonio Fasolato", 0, 0, "Antonio.Fasolato@poste.it");
    about.addAuthor( "Antonio Fasolato", 0, "Antonio.Fasolato@poste.it" );
    KCmdLineArgs::init(argc, argv, &about);
    KCmdLineArgs::addCmdLineOptions( options );
    KApplication app;
    PotraceGui *mainWin = 0;

	KCmdLineArgs *args = KCmdLineArgs::parsedArgs();

	mainWin = new PotraceGui();
	app.setMainWidget( mainWin );
	mainWin->show();
	if (args->count()>0) mainWin->selectImageURL(args->url(0));
	args->clear();

    int ret = app.exec();

    delete mainWin;
    return ret;
}
