/***************************************************************************
 *   Copyright (C) 2004 by Antonio Fasolato                                *
 *   Antonio.Fasolato@poste.it                                             *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "previewwidget.h"
#include <qdragobject.h>
#include <kurldrag.h>

PreviewWidget::PreviewWidget(QWidget *parent, const char *name)
 : QLabel(parent, name)
{
}


PreviewWidget::~PreviewWidget()
{
}


#include "previewwidget.moc"


/*!
    \fn PreviewWidget::dragEnterEvent(QDragEnterEvent *event)
 */
void PreviewWidget::dragEnterEvent(QDragEnterEvent *event)
{
    event->accept(
        QImageDrag::canDecode(event) || KURLDrag::canDecode(event));
}


/*!
    \fn PreviewWidget::dropEvent(QDropEvent *event)
 */
void PreviewWidget::dropEvent(QDropEvent *event)
{
 QImage image;
 if (QImageDrag::decode(event,image)) {
 	setPixmap(QPixmap(image));
	emit imageDropped();
	}
KURL::List urls;
if (KURLDrag::decode(event,urls)) emit urlDropped(urls[0]);
}
